--
-- Table structure for table 'phpinv_category'
--

DROP TABLE IF EXISTS phpinv_category;
CREATE TABLE phpinv_category (
  categorytitleid int(10) unsigned NOT NULL default '0',
  colid int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_category'
--


INSERT INTO phpinv_category VALUES (1,4),(1,3),(2,1),(2,2),(2,3),(3,7),(4,8),(4,9),(6,10),(6,8),(7,8),(7,9),(3,5),(5,8),(5,2),(9,10),(9,8),(9,6),(5,6),(5,3),(6,9),(3,6),(5,10),(5,23);

--
-- Table structure for table 'phpinv_categorytitle'
--

DROP TABLE IF EXISTS phpinv_categorytitle;
CREATE TABLE phpinv_categorytitle (
  categorytitleid int(10) unsigned NOT NULL auto_increment,
  categorytitle varchar(100) NOT NULL default '',
  description varchar(250) NOT NULL default '',
  parentid int(10) unsigned NOT NULL default '0',
  displayorder int(10) unsigned NOT NULL default '0',
  categoryonly int(1) NOT NULL default '0',
  PRIMARY KEY  (categorytitleid),
  UNIQUE KEY id (categorytitleid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_categorytitle'
--


INSERT INTO phpinv_categorytitle VALUES (1,'Hardware','Hardware and stuff',0,3,1),(2,'Software','(Admin only) all software',0,2,0),(3,'Spare','This Hardware is free for use',1,0,0),(4,'Rooms','Rooms in Office',0,1,1),(5,'testsoft','(Admin only) testing testing testing testing testing testing testing testing testing2',2,0,0),(6,'Room1','first room',4,1,0),(7,'Room2','second room',4,2,0),(9,'rek','(Admin only) ek-test',5,0,0);

--
-- Table structure for table 'phpinv_categorytitletogroup'
--

DROP TABLE IF EXISTS phpinv_categorytitletogroup;
CREATE TABLE phpinv_categorytitletogroup (
  categorytitleid int(10) unsigned NOT NULL default '0',
  usergroupid int(10) unsigned NOT NULL default '1'
) TYPE=MyISAM COMMENT='groups per category';

--
-- Dumping data for table 'phpinv_categorytitletogroup'
--


INSERT INTO phpinv_categorytitletogroup VALUES (1,2),(2,2),(4,2),(5,2),(6,2),(7,2),(3,1),(9,2),(3,2),(7,1),(6,1),(4,1),(1,1);

--
-- Table structure for table 'phpinv_col'
--

DROP TABLE IF EXISTS phpinv_col;
CREATE TABLE phpinv_col (
  colid int(10) unsigned NOT NULL auto_increment,
  coltitle varchar(20) NOT NULL default '',
  coltypeid int(10) unsigned NOT NULL default '0',
  displayorder int(10) NOT NULL default '0',
  PRIMARY KEY  (colid),
  UNIQUE KEY id (colid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_col'
--


INSERT INTO phpinv_col VALUES (1,'Version',1,0),(2,'License',1,0),(3,'Desc',2,0),(4,'serialnumber',1,1),(5,'Type',1,0),(6,'Description',2,0),(7,'Where',1,0),(8,'Machine',1,3),(9,'IP',1,1),(10,'test33',2,0),(23,'test35325',1,0);

--
-- Table structure for table 'phpinv_coltype'
--

DROP TABLE IF EXISTS phpinv_coltype;
CREATE TABLE phpinv_coltype (
  coltypeid int(10) unsigned NOT NULL auto_increment,
  coltype varchar(20) NOT NULL default '',
  size int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (coltypeid),
  UNIQUE KEY id (coltypeid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_coltype'
--


INSERT INTO phpinv_coltype VALUES (1,'varchar',75),(2,'textarea',1000);

--
-- Table structure for table 'phpinv_item'
--

DROP TABLE IF EXISTS phpinv_item;
CREATE TABLE phpinv_item (
  itemid int(10) unsigned NOT NULL auto_increment,
  categorytitleid int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (itemid),
  UNIQUE KEY id (itemid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_item'
--


INSERT INTO phpinv_item VALUES (1,2),(2,2),(3,3),(4,3),(5,3),(6,2),(7,2),(8,2),(9,9),(10,7);

--
-- Table structure for table 'phpinv_property'
--

DROP TABLE IF EXISTS phpinv_property;
CREATE TABLE phpinv_property (
  itemid int(10) unsigned NOT NULL default '0',
  colid int(10) unsigned NOT NULL default '0',
  property text NOT NULL
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_property'
--


INSERT INTO phpinv_property VALUES (1,1,'v9.0'),(1,2,'MS'),(1,3,'MS Office Proffesional 2K'),(2,1,'v0.5'),(2,2,'GPL'),(2,3,'phpInv, invenotry as much as you can'),(3,7,'Office11111 <a href=\\\"http://www.cyris.de\\\">cyris</a>'),(3,6,'Network Adapter 3COM, 905C'),(3,5,'Network adapter'),(4,7,'Home'),(4,6,'HP Omnibook 4150B'),(4,5,'Laptop'),(5,7,'Office'),(5,6,'Best mousepad of the world'),(5,5,'mousepad'),(6,1,'v4.1.1'),(6,2,'PHP'),(6,3,'PHP: Hypertext Preprocessor'),(7,1,'v5.6.1'),(7,2,'Perl Artistic'),(7,3,'Perl is written by Larry Wall '),(8,1,'v5.1'),(8,2,'MS'),(8,3,'MS Windows XP home'),(9,10,'laptop2'),(9,8,'test2'),(9,6,'testt2'),(10,8,'test'),(10,9,'bla');

--
-- Table structure for table 'phpinv_session'
--

DROP TABLE IF EXISTS phpinv_session;
CREATE TABLE phpinv_session (
  hash varchar(32) NOT NULL default '',
  userid int(10) NOT NULL default '0',
  ip varchar(15) NOT NULL default '',
  useragent varchar(50) NOT NULL default '',
  activity timestamp(14) NOT NULL,
  UNIQUE KEY hash (hash,userid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_session'
--


INSERT INTO phpinv_session VALUES ('e860741fc6cd50294860a03a52ee18c1',1,'192.168.1.200','Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)',20020814182824),('8f7151fb0c8ee3996ff410a58280a7b2',2,'192.168.1.200','Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)',20020814182829);

--
-- Table structure for table 'phpinv_stats'
--

DROP TABLE IF EXISTS phpinv_stats;
CREATE TABLE phpinv_stats (
  script varchar(25) NOT NULL default 'index.php',
  speed float NOT NULL default '0',
  date timestamp(14) NOT NULL
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_stats'
--


INSERT INTO phpinv_stats VALUES ('entry.php',1.02926e+09,20020813191835),('entry.php',1.02926e+09,20020813191657),('entry.php',1.02926e+09,20020813191655),('entry.php',1.02926e+09,20020813191634),('entry.php',1.02926e+09,20020813191631),('entry.php',1.02926e+09,20020813185137),('entry.php',1.02926e+09,20020813184914),('entry.php',1.02926e+09,20020813184839),('entry.php',1.02926e+09,20020813184838),('entry.php',1.02926e+09,20020813184520),('entry.php',1.02926e+09,20020813184440),('category.php',1.02926e+09,20020813184433),('user.php',1.02926e+09,20020813184432),('category.php',1.02926e+09,20020813184427),('entry.php',1.02142e+09,20020515025903),('entry.php',1.02142e+09,20020515025902),('entry.php',1.02142e+09,20020515025839),('entry.php',1.02142e+09,20020515025833),('entry.php',1.02142e+09,20020515025832),('entry.php',1.02142e+09,20020515025820),('entry.php',1.02142e+09,20020515025506),('entry.php',1.02142e+09,20020515025504),('entry.php',1.02142e+09,20020515025502),('entry.php',1.02142e+09,20020515025500),('category.php',1.02142e+09,20020515025459),('user.php',1.02142e+09,20020515025457),('category.php',1.02142e+09,20020515025454),('category.php',1.02122e+09,20020512171504),('user.php',1.02122e+09,20020512171502),('category.php',1.02122e+09,20020512171457),('category.php',1.02009e+09,20020429165143),('user.php',1.02009e+09,20020429165141),('category.php',1.02009e+09,20020429165138),('category.php',1.01865e+09,20020413000227),('user.php',1.01865e+09,20020412235959),('category.php',1.01865e+09,20020412235047),('category.php',1.01865e+09,20020412234540),('user.php',1.01865e+09,20020412233926),('category.php',1.01865e+09,20020412233554),('user.php',1.01865e+09,20020412232859),('category.php',1.01865e+09,20020412232852),('entry.php',1.01864e+09,20020412224442),('category.php',1.01864e+09,20020412224429),('entry.php',1.01864e+09,20020412224348),('category.php',1.01864e+09,20020412224336),('user.php',1.01864e+09,20020412224254),('category.php',1.01864e+09,20020412223908),('user.php',1.01864e+09,20020412223906),('category.php',1.01864e+09,20020412223851),('entry.php',0.056303,20020406201318),('entry.php',0.182945,20020406201315),('category.php',0.056379,20020406201311),('category.php',0.072929,20020406200001),('user.php',0.046013,20020406200000),('category.php',0.06362,20020406195929),('category.php',0.076852,20020406195832),('user.php',0.10976,20020406195816),('category.php',0.604712,20020406195759),('category.php',0.057515,20020326000014),('entry.php',0.079926,20020326000012),('category.php',0.057806,20020326000011),('entry.php',0.06579,20020326000008),('category.php',0.092678,20020326000007),('user.php',0.039508,20020326000005),('category.php',0.101688,20020326000004),('category.php',0.059884,20020325223635),('user.php',0.059672,20020325223634),('category.php',0.069969,20020325223629),('category.php',0.057887,20020325211353),('entry.php',0.045264,20020325211355),('entry.php',0.046839,20020325211438),('entry.php',0.043958,20020325211505),('entry.php',0.044523,20020325211533),('entry.php',0.044575,20020325213422),('entry.php',0.04675,20020325213428),('category.php',0.055247,20020325213646),('entry.php',0.049386,20020325213649),('entry.php',0.047115,20020325213651),('entry.php',0.064186,20020325214537),('category.php',0.056498,20020325214544),('entry.php',0.068674,20020325214545),('user.php',0.040241,20020325214548),('category.php',0.072378,20020325214549),('entry.php',0.066053,20020325214553),('category.php',0.059025,20020325214555),('entry.php',0.048728,20020325214557),('category.php',0.058928,20020325214559),('category.php',0.055908,20020325214652),('entry.php',0.044526,20020325214655),('category.php',0.059153,20020325214657),('help.php',0.066443,20020325215109),('help.php',0.046827,20020325215113),('help.php',0.048467,20020325215114),('category.php',0.071108,20020325215204),('entry.php',0.072896,20020325215206),('user.php',0.040106,20020325215220),('category.php',0.073656,20020325215222),('entry.php',0.072535,20020325215227),('entry.php',0.072647,20020325215231),('category.php',0.060568,20020325215234),('category.php',0.05769,20020325215235),('category.php',0.06675,20020325215248),('entry.php',0.072462,20020325215253),('entry.php',0.07163,20020325215256),('category.php',0.068667,20020325215415),('entry.php',0.063324,20020325215416),('entry.php',0.052048,20020325215418),('category.php',0.059396,20020325215420),('entry.php',0.070313,20020325215421),('category.php',0.058863,20020325215423),('user.php',0.057946,20020325215458),('category.php',0.057998,20020325215459),('category.php',0.058178,20020325215650),('user.php',0.041591,20020325215653),('category.php',0.073503,20020325215654),('entry.php',0.047901,20020325215657),('entry.php',0.04507,20020325215704),('category.php',0.058182,20020325215705),('user.php',0.053994,20020325215714),('category.php',0.058223,20020325215715),('category.php',0.056352,20020325215746),('user.php',0.03974,20020325215747),('category.php',0.066726,20020325215748),('entry.php',0.047488,20020325215749),('entry.php',0.04568,20020325215751),('category.php',0.057882,20020325215753),('entry.php',1.02926e+09,20020813191842),('entry.php',1.02926e+09,20020813191843),('entry.php',1.02926e+09,20020813191847),('entry.php',1.02926e+09,20020813191851),('category.php',1.02926e+09,20020813191855),('category.php',1.02934e+09,20020814182824),('user.php',1.02934e+09,20020814182829),('category.php',1.02934e+09,20020814182830);

--
-- Table structure for table 'phpinv_user'
--

DROP TABLE IF EXISTS phpinv_user;
CREATE TABLE phpinv_user (
  userid int(10) unsigned NOT NULL auto_increment,
  name varchar(200) NOT NULL default '',
  login varchar(20) NOT NULL default '',
  password varchar(50) NOT NULL default '',
  email varchar(200) NOT NULL default '',
  PRIMARY KEY  (userid),
  UNIQUE KEY id (userid),
  UNIQUE KEY email (email)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_user'
--


INSERT INTO phpinv_user VALUES (2,'Stefan Cyris','admin','3adf3a6679460c8955a05a055fbefd92','admin@localhost'),(1,'guest','guest','guest','guest');

--
-- Table structure for table 'phpinv_usergroup'
--

DROP TABLE IF EXISTS phpinv_usergroup;
CREATE TABLE phpinv_usergroup (
  usergroupid int(10) unsigned NOT NULL auto_increment,
  usergrouptitle varchar(50) NOT NULL default '',
  canview int(1) NOT NULL default '0',
  cannew int(1) NOT NULL default '0',
  candelete int(1) NOT NULL default '0',
  canedit int(1) NOT NULL default '0',
  PRIMARY KEY  (usergroupid),
  UNIQUE KEY usergroupid (usergroupid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_usergroup'
--


INSERT INTO phpinv_usergroup VALUES (2,'Administrators',1,1,1,1),(1,'Guests',1,0,0,0);

--
-- Table structure for table 'phpinv_usertogroup'
--

DROP TABLE IF EXISTS phpinv_usertogroup;
CREATE TABLE phpinv_usertogroup (
  userid int(10) unsigned NOT NULL default '1',
  usergroupid int(10) unsigned NOT NULL default '1'
) TYPE=MyISAM COMMENT='define group members';

--
-- Dumping data for table 'phpinv_usertogroup'
--


INSERT INTO phpinv_usertogroup VALUES (1,1),(2,1),(2,2);

