-- MySQL dump 8.21
--
-- Host: localhost    Database: phpinv
---------------------------------------------------------
-- Server version	3.23.49-log

--
-- Table structure for table 'phpinv_category'
--

DROP TABLE IF EXISTS phpinv_category;
CREATE TABLE phpinv_category (
  categorytitleid int(10) unsigned NOT NULL default '0',
  colid int(10) unsigned NOT NULL default '0'
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_category'
--


INSERT INTO phpinv_category (categorytitleid, colid) VALUES (1,1);

--
-- Table structure for table 'phpinv_categorytitle'
--

DROP TABLE IF EXISTS phpinv_categorytitle;
CREATE TABLE phpinv_categorytitle (
  categorytitleid int(10) unsigned NOT NULL auto_increment,
  categorytitle varchar(100) NOT NULL default '',
  description varchar(250) NOT NULL default '',
  parentid int(10) unsigned NOT NULL default '0',
  displayorder int(10) unsigned NOT NULL default '0',
  categoryonly int(1) NOT NULL default '0',
  PRIMARY KEY  (categorytitleid),
  UNIQUE KEY id (categorytitleid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_categorytitle'
--


INSERT INTO phpinv_categorytitle (categorytitleid, categorytitle, description, parentid, displayorder, categoryonly) VALUES (1,'Welcome','Welcome to phpInv',0,0,0);

--
-- Table structure for table 'phpinv_categorytitletogroup'
--

DROP TABLE IF EXISTS phpinv_categorytitletogroup;
CREATE TABLE phpinv_categorytitletogroup (
  categorytitleid int(10) unsigned NOT NULL default '0',
  usergroupid int(10) unsigned NOT NULL default '1'
) TYPE=MyISAM COMMENT='groups per category';

--
-- Dumping data for table 'phpinv_categorytitletogroup'
--


INSERT INTO phpinv_categorytitletogroup (categorytitleid, usergroupid) VALUES (1,1);
INSERT INTO phpinv_categorytitletogroup (categorytitleid, usergroupid) VALUES (1,2);

--
-- Table structure for table 'phpinv_col'
--

DROP TABLE IF EXISTS phpinv_col;
CREATE TABLE phpinv_col (
  colid int(10) unsigned NOT NULL auto_increment,
  coltitle varchar(20) NOT NULL default '',
  coltypeid int(10) unsigned NOT NULL default '0',
  displayorder int(10) NOT NULL default '0',
  PRIMARY KEY  (colid),
  UNIQUE KEY id (colid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_col'
--


INSERT INTO phpinv_col (colid, coltitle, coltypeid, displayorder) VALUES (1,'welcome',2,0);

--
-- Table structure for table 'phpinv_coltype'
--

DROP TABLE IF EXISTS phpinv_coltype;
CREATE TABLE phpinv_coltype (
  coltypeid int(10) unsigned NOT NULL auto_increment,
  coltype varchar(20) NOT NULL default '',
  size int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (coltypeid),
  UNIQUE KEY id (coltypeid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_coltype'
--


INSERT INTO phpinv_coltype (coltypeid, coltype, size) VALUES (1,'varchar',75);
INSERT INTO phpinv_coltype (coltypeid, coltype, size) VALUES (2,'textarea',1000);

--
-- Table structure for table 'phpinv_item'
--

DROP TABLE IF EXISTS phpinv_item;
CREATE TABLE phpinv_item (
  itemid int(10) unsigned NOT NULL auto_increment,
  categorytitleid int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (itemid),
  UNIQUE KEY id (itemid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_item'
--


INSERT INTO phpinv_item (itemid, categorytitleid) VALUES (1,1);

--
-- Table structure for table 'phpinv_property'
--

DROP TABLE IF EXISTS phpinv_property;
CREATE TABLE phpinv_property (
  itemid int(10) unsigned NOT NULL default '0',
  colid int(10) unsigned NOT NULL default '0',
  property text NOT NULL
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_property'
--


INSERT INTO phpinv_property (itemid, colid, property) VALUES (1,1,'This is an example entry in your phpInv installation. You may delete this entry and this category if you like since everything seems to be working!');

--
-- Table structure for table 'phpinv_session'
--

DROP TABLE IF EXISTS phpinv_session;
CREATE TABLE phpinv_session (
  hash varchar(32) NOT NULL default '',
  userid int(10) NOT NULL default '0',
  ip varchar(15) NOT NULL default '',
  useragent varchar(50) NOT NULL default '',
  activity timestamp(14) NOT NULL,
  UNIQUE KEY hash (hash,userid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_session'
--


INSERT INTO phpinv_session (hash, userid, ip, useragent, activity) VALUES ('',1,'','',20030203173023);
INSERT INTO phpinv_session (hash, userid, ip, useragent, activity) VALUES ('32774727ea5bf014fc5860fc9ca888a6',1,'192.168.1.200','Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)',20030203173827);
INSERT INTO phpinv_session (hash, userid, ip, useragent, activity) VALUES ('611254e3135ab41fb428d345a5e89a3f',1,'192.168.1.200','Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)',20030203173903);
INSERT INTO phpinv_session (hash, userid, ip, useragent, activity) VALUES ('cf833bc73f33371127dec496692c7e02',2,'192.168.1.200','Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)',20030203173925);

--
-- Table structure for table 'phpinv_stats'
--

DROP TABLE IF EXISTS phpinv_stats;
CREATE TABLE phpinv_stats (
  script varchar(25) NOT NULL default 'index.php',
  speed float NOT NULL default '0',
  date timestamp(14) NOT NULL
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_stats'
--


INSERT INTO phpinv_stats (script, speed, date) VALUES ('category.php',0.058622,20030203173827);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('entry.php',0.041176,20030203173828);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('user.php',0.039509,20030203173835);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('user.php',0.051431,20030203173842);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('category.php',0.040801,20030203173844);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('category.php',0.041625,20030203173900);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('user.php',0.039372,20030203173902);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('category.php',0.050932,20030203173903);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('entry.php',0.048371,20030203173904);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('user.php',0.039645,20030203173917);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('user.php',0.056446,20030203173925);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('category.php',0.041364,20030203173929);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('category.php',0.041578,20030203174131);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('entry.php',0.054175,20030203174132);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('category.php',0.041543,20030203174135);
INSERT INTO phpinv_stats (script, speed, date) VALUES ('entry.php',0.0562,20030203174137);

--
-- Table structure for table 'phpinv_user'
--

DROP TABLE IF EXISTS phpinv_user;
CREATE TABLE phpinv_user (
  userid int(10) unsigned NOT NULL auto_increment,
  name varchar(200) NOT NULL default '',
  login varchar(20) NOT NULL default '',
  password varchar(50) NOT NULL default '',
  email varchar(200) NOT NULL default '',
  PRIMARY KEY  (userid),
  UNIQUE KEY email (email),
  UNIQUE KEY id (userid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_user'
--


INSERT INTO phpinv_user (userid, name, login, password, email) VALUES (2,'Stefan Cyris','admin','3adf3a6679460c8955a05a055fbefd92','admin@localhost');
INSERT INTO phpinv_user (userid, name, login, password, email) VALUES (1,'guest','guest','guest','guest');

--
-- Table structure for table 'phpinv_usergroup'
--

DROP TABLE IF EXISTS phpinv_usergroup;
CREATE TABLE phpinv_usergroup (
  usergroupid int(10) unsigned NOT NULL auto_increment,
  usergrouptitle varchar(50) NOT NULL default '',
  canview int(1) NOT NULL default '0',
  cannew int(1) NOT NULL default '0',
  candelete int(1) NOT NULL default '0',
  canedit int(1) NOT NULL default '0',
  PRIMARY KEY  (usergroupid),
  UNIQUE KEY usergroupid (usergroupid)
) TYPE=MyISAM;

--
-- Dumping data for table 'phpinv_usergroup'
--


INSERT INTO phpinv_usergroup (usergroupid, usergrouptitle, canview, cannew, candelete, canedit) VALUES (2,'Administrators',1,1,1,1);
INSERT INTO phpinv_usergroup (usergroupid, usergrouptitle, canview, cannew, candelete, canedit) VALUES (1,'Guests',1,0,0,0);

--
-- Table structure for table 'phpinv_usertogroup'
--

DROP TABLE IF EXISTS phpinv_usertogroup;
CREATE TABLE phpinv_usertogroup (
  userid int(10) unsigned NOT NULL default '1',
  usergroupid int(10) unsigned NOT NULL default '1'
) TYPE=MyISAM COMMENT='define group members';

--
-- Dumping data for table 'phpinv_usertogroup'
--


INSERT INTO phpinv_usertogroup (userid, usergroupid) VALUES (1,1);
INSERT INTO phpinv_usertogroup (userid, usergroupid) VALUES (2,1);
INSERT INTO phpinv_usertogroup (userid, usergroupid) VALUES (2,2);

