<?

// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.

// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
// more details.

// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place - Suite 330, Boston, MA 02111-1307, USA.

// Copyright: (C) 2002/2003 Stefan Cyris 


require("./global.php");

// $what for template table
if (empty($what)) {
	$what="Entry";
}

$navtext = "  Entries";

// get groups for this category
$categorygroup = get_categorygroups($categoryid);

// get permissions
$canview = eval_permission("canview",$categorygroup);
$canedit = eval_permission("canedit",$categorygroup);
$candelete = eval_permission("candelete",$categorygroup);
$cannew = eval_permission("cannew",$categorygroup);

// user allowed to view ?
if (!$canview) {
	$errortext = "Error: You are not allowed to view this category\n";
	eval("\$table = \"".templateget('error')."\";");
} else {
	if (isset($action) & !isset($noconfirm)) {
		include("inc/entry_$action.php");
	} elseif (empty($categoryid)) {
		// all listing not allowed
		header("Location: category.php?hash=$hash"); 
		exit;
	} elseif ($categoryarray[$categoryid]["categoryonly"]) {
		// new body header
		$what="Category";
		$navtext = "  Categories";

		// get sub categories
		while (list ($itemid, $property) = each ($categoryarray)) {
			if ($property["parentid"] == $categoryid) {
				$array[$itemid]["id"] = $property["id"];
				$array[$itemid]["depth"] = $property["depth"];;
				$array[$itemid]["title"] = $property["title"];
				$array[$itemid]["description"] = $property["description"];
				$array[$itemid]["categoryonly"] = $property["categoryonly"];
				$array[$itemid]["parentid"] = $property["parentid"];
			}

		}

		// print sub categories
		$category_listrows = categoryarraytotablerows($array);

		eval("\$category_listheader = \"".templateget('category_listheader')."\";");

		eval("\$table = \"".templateget('category_list')."\";");
		
	} else {
		// prepare strings
		$categoryid = str_prepare($categoryid);
		
		// Entries per Page default
		if (empty($page)) {
			$page = 1;
		}
		
		// 'order by' for temporary table
		if (empty($orderby)) {
			$queryorderby = "itemid";
		} else {
			$scoltype = get_col_type($orderby);	
			$queryorderby = "colid".str_prepare($orderby);
		}
		
		// 'sort' order for temporary table
		if (empty($sort)) {
			$querysort = "ASC";
			$sort="&sort=DESC";
		} else {
			$querysort = "DESC";
			unset($sort);
		}

		// get information
		$item = get_items($categoryid);
		$col = get_cols($categoryid);
		
		// template headers
		while (list ($by, $column) = each ($col)) {
			eval("\$entry_listheader .= \"".templateget('entry_listheader')."\";");
		}

		// user can edit
		if ($canedit) {
			eval("\$entry_listheader .= \"".templateget('entry_listheaderedit')."\";");
		}
		
		// user can new => copy allowed
		if ($cannew) {
			eval("\$entry_listheader .= \"".templateget('entry_listheadercopy')."\";");
		}
		
		// user can delete
		if ($candelete) {
			eval("\$entry_listheader .= \"".templateget('entry_listheaderdelete')."\";");
		}
		
		// create table
		$temptable = temptable_create($col);
		
		// fill temporary table
		while (list ($itemid, $property) = each ($item)) {
			$query = "INSERT INTO ".$DB->tableprefix."tt".$temptable." (itemid";
			$ttvalues = $itemid;
			while (list ($ttcolid, $ttproperty) = each ($property)) {
				$query .= ",colid".$ttcolid;
				$ttvalues .= ",'".str_prepare($ttproperty)."'";
			}
			$query = $query.") VALUES (".$ttvalues.")";
			$result = $DB->query($query);
			
			// Increas total 
			$total++;
		}
		
		// 'limit' for temporary table
		$limitstart = $page * $entries_per_page - $entries_per_page;
		$querylimit = 'LIMIT '.$limitstart.','.$entries_per_page;
		
			
		// get sorted array
		if( $scoltype != 'int' )
		{
			$result = $DB->query('SELECT * FROM '.$DB->tableprefix."tt".$temptable.' ORDER BY '.$queryorderby.' '.$querysort.' '.$querylimit);
		}
		else
		{
			// cast property to integer if the sortby is an integer column
			$result = $DB->query('SELECT *,cast( '.$queryorderby.' as unsigned) as intcol FROM '.$DB->tableprefix."tt".$temptable.' ORDER BY intcol ' .$querysort.' '.$querylimit);
		}	
		// prepare templates
		while ($array = $DB->fetch_array($result)){
			reset($col);
			while (list ($by,) = each ($col)) {
				$entry_data = $array["colid".$by];
				$itemid = $array["itemid"];
				eval("\$entry_listdata .= \"".templateget('entry_listdata')."\";");
			}
			$tablealtcolor = tablealtcolor($tablealtcolor);

			// user can edit
			if ($canedit) {
				eval("\$entry_listdata .= \"".templateget('entry_listdataedit')."\";");
			}				
			// user can new => copy allowed
			if ($cannew) {
				eval("\$entry_listdata .= \"".templateget('entry_listdatacopy')."\";");
			}
			// user can delete
			if ($candelete) {
				eval("\$entry_listdata .= \"".templateget('entry_listdatadelete')."\";");
			}

			eval("\$entry_listrows .= \"".templateget('entry_listrows')."\";");
			unset($entry_listdata);
		}
		
		// drop temporary table
		temptable_drop($temptable);
		
		// Create goto page link
		if ($total > $entries_per_page) {
			$pages = ceil($total/$entries_per_page); 
			for ($x = 1; $x <= $pages; $x++) {
				if( $querysort == "ASC" ) {
					$psort = '';
				} else {	
					$psort = '&sort=DESC';
				}	
				$goto_page .= "<a href=\"$url?hash=$hash&orderby=$orderby$psort&categoryid=$categoryid&page=$x\">";
				if ($x == $page) {
					$goto_page .= '<b>'.$x.'</b></a>';
				} else {
					$goto_page .= $x.'</a>';
				}
				if ($x != $pages) {
					$goto_page .= ',';
				}
			}
			
			eval("\$goto .= \"".templateget('goto')."\";");
		}

		eval("\$table .= \"".templateget('entry_list')."\";");
		
		$where = "&categoryid=".$categoryid;

		eval("\$total = \"".templateget('total')."\";");

		// new available ?
		if ($cannew) {
			eval("\$new = \"".templateget('new')."\";");
		}
		
		eval("\$exportlink = \"".templateget('exportlink')."\";");
	}
}

require("./global2.php");

?>
