<?

// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.

// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
// more details.

// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place - Suite 330, Boston, MA 02111-1307, USA.

// Copyright: (C) 2002/2003 Stefan Cyris 


require("./global.php");

$navtext = "  Search";

// get groups for this category
$categorygroup = get_categorygroups($categoryid);

// get permissions
$canview = eval_permission("canview",$categorygroup);
$canedit = eval_permission("canedit",$categorygroup);
$candelete = eval_permission("candelete",$categorygroup);
$cannew = eval_permission("cannew",$categorygroup);

if (isset($action) & !isset($noconfirm) && ($action == 'new' || $action == 'copy' || $action == 'delete' || $action == 'searchexport')) {
	include("inc/entry_$action.php");
} elseif (isset($action)) {
	// user allowed to view ?
	if (!$canview) {
		$errortext = "Error: You are not allowed to view this category\n";
		eval("\$table = \"".templateget('error')."\";");
		require("./global2.php");
		exit;
	} 
	$navtext = "  Search Results";
	// prepare strings
	$categoryid = str_prepare($categoryid);
	
	// Entries per Page default
	if (empty($page)) {
		$page = 1;
	}
	
	// 'order by' for temporary table
	if (empty($orderby)) {
		$queryorderby = "itemid";
	} else {
		$scoltype = get_col_type($orderby);	
		$queryorderby = "colid".str_prepare($orderby);
	}
	
	// 'sort' order for temporary table
	if (empty($sort)) {
		$querysort = "ASC";
		$sort="&sort=DESC";
	} else {
		$querysort = "DESC";
		unset($sort);
	}

	// get information
	$item = get_items($categoryid);
	$col = get_cols($categoryid);
	
	// template headers
	while (list ($by, $column) = each ($col)) {
		eval("\$entry_listheader .= \"".templateget('esearch_listheader')."\";");
	}

	// user can edit
	if ($canedit) {
		eval("\$entry_listheader .= \"".templateget('entry_listheaderedit')."\";");
	}
	
	// user can new => copy allowed
	if ($cannew) {
		eval("\$entry_listheader .= \"".templateget('entry_listheadercopy')."\";");
	}
	
	// user can delete
	if ($candelete) {
		eval("\$entry_listheader .= \"".templateget('entry_listheaderdelete')."\";");
	}
	
	$keyword = str_prepare($keyword);
	if( empty($keyword)) {
		$keyword="*";
	}	
	$keyword = str_replace("*",".*",$keyword);
	
	$id_array = array();
	$searchresult = $DB->query("SELECT distinct prop.itemid,item.categorytitleid FROM ".$DB->tableprefix."item AS item,".$DB->tableprefix."property AS prop WHERE property REGEXP \"".$keyword."\" AND item.itemid=prop.itemid AND categorytitleid='".$categoryid."'");
	while ($searcharray = $DB->fetch_array($searchresult)) {
		$id_array[$searcharray['itemid']] = 1;
	}
	$DB->free_result($searchresult);

	// create table
	$temptable = temptable_create($col);
	// fill temporary table
	while (list ($itemid, $property) = each ($item)) {
		if( empty($id_array[$itemid]) ) {
			continue;
		}	
		$query = "INSERT INTO ".$DB->tableprefix."tt".$temptable." (itemid";
		$ttvalues = $itemid;
		while (list ($ttcolid, $ttproperty) = each ($property)) {
			$query .= ",colid".$ttcolid;
			$ttvalues .= ",'".str_prepare($ttproperty)."'";
		}
		$query = $query.") VALUES (".$ttvalues.")";
		$result = $DB->query($query);
		
		// Increas total 
		$total++;
	}
	
	// 'limit' for temporary table
	$limitstart = $page * $entries_per_page - $entries_per_page;
	$querylimit = 'LIMIT '.$limitstart.','.$entries_per_page;
	
		
	// get sorted array
	if( $scoltype != 'int' )
	{
		$result = $DB->query('SELECT * FROM '.$DB->tableprefix."tt".$temptable.' ORDER BY '.$queryorderby.' '.$querysort.' '.$querylimit);
	}
	else
	{
		// cast property to integer if the sortby is an integer column
		$result = $DB->query('SELECT *,cast( '.$queryorderby.' as unsigned) as intcol FROM '.$DB->tableprefix."tt".$temptable.' ORDER BY intcol ' .$querysort.' '.$querylimit);
	}	
	// prepare templates
	while ($array = $DB->fetch_array($result)){
		reset($col);
		while (list ($by,) = each ($col)) {
			$entry_data = $array["colid".$by];
			$itemid = $array["itemid"];
			eval("\$entry_listdata .= \"".templateget('entry_listdata')."\";");
		}
		$tablealtcolor = tablealtcolor($tablealtcolor);

		// user can edit
		if ($canedit) {
			eval("\$entry_listdata .= \"".templateget('entry_listdataedit')."\";");
		}				
		// user can new => copy allowed
		if ($cannew) {
			eval("\$entry_listdata .= \"".templateget('entry_listdatacopy')."\";");
		}
		// user can delete
		if ($candelete) {
			eval("\$entry_listdata .= \"".templateget('entry_listdatadelete')."\";");
		}

		eval("\$entry_listrows .= \"".templateget('entry_listrows')."\";");
		unset($entry_listdata);
	}
	
	// drop temporary table
	temptable_drop($temptable);
	// no temptable no results
	if (!$temptable) {
		eval("\$entry_listheader .= \"".templateget('entry_listheader')."\";");
		$entry_data = "no results";
		eval("\$entry_listdata .= \"".templateget('entry_listdata')."\";");
		eval("\$entry_listrows .= \"".templateget('entry_listrows')."\";");
	}
	
	// Create goto page link
	if ($total > $entries_per_page) {
		$pages = ceil($total/$entries_per_page); 
		for ($x = 1; $x <= $pages; $x++) {
			if( $querysort == "ASC" ) {
				$psort = '';
			} else {	
				$psort = "&sort=DESC";
			}	
			$goto_page .= "<a href=\"$url?hash=$hash&orderby=$orderby$psort&action=+Search+&keyword=$keyword&categoryid=$categoryid&page=$x\">";
			if ($x == $page) {
				$goto_page .= '<b>'.$x.'</b></a>';
			} else {
				$goto_page .= $x.'</a>';
			}
			if ($x != $pages) {
				$goto_page .= ',';
			}
		}
		
		eval("\$goto .= \"".templateget('goto')."\";");
	}

	eval("\$table .= \"".templateget('entry_list')."\";");
	
	$where = "&categoryid=".$categoryid;

	eval("\$total = \"".templateget('total')."\";");

	// new available ?
	if ($cannew) {
		eval("\$new = \"".templateget('new')."\";");
	}
	
	eval("\$exportlink = \"".templateget('searchexportlink')."\";");

} else {
	// $what for template table
	if (empty($what)) {
		$what="Define your search";
	}

	$navurl = $url;
	$navtext = "  Search";
										 
	// prepare array
	$arraytemp = array();
	
	$mycatarr = catarr_depthtostr($categoryarray);
	while (list ($key, $val) = each ($mycatarr)) {
		$arraytemp[$key] = $val["title"];
	}
	// build selectbox from array
	$search_category = build_select_box_from_array($arraytemp,"categoryid");

	$tablealtcolor = tablealtcolor($tablealtcolor);
	eval("\$searchheader = \"".templateget('searchheader')."\";");

	$tablealtcolor = tablealtcolor($tablealtcolor);
	eval("\$searchrows = \"".templateget('searchrows')."\";");
	eval("\$table = \"".templateget('search')."\";");
}

require("./global2.php");

?>
